---
merged:
  before: {}

  commands:
    - router ospfv3 1
    - max-metric router-lsa on-startup 110
    - area 10 nssa default-information-originate metric 10
    - address-family ipv4 unicast vrf ospf_vrf
    - adjacency stagger 25 25
    - area 25 nssa default-information-originate metric 25 nssa-only
    - exit-address-family
    - router ospfv3 200
    - auto-cost reference-bandwidth 4
    - max-metric router-lsa on-startup 100
    - address-family ipv4 unicast
    - adjacency stagger 200 200
    - exit-address-family

  after:
    processes:
      - address_family:
          - adjacency:
              max_adjacency: 25
              min_adjacency: 25
            afi: ipv4
            areas:
              - area_id: "25"
                nssa:
                  default_information_originate:
                    metric: 25
                    nssa_only: true
            unicast: true
            vrf: ospf_vrf
        areas:
          - area_id: "10"
            nssa:
              default_information_originate:
                metric: 10
        max_metric:
          on_startup:
            time: 110
          router_lsa: true
        process_id: 1
      - address_family:
          - adjacency:
              max_adjacency: 200
              min_adjacency: 200
            afi: ipv4
            unicast: true
        auto_cost:
          reference_bandwidth: 4
        max_metric:
          on_startup:
            time: 100
          router_lsa: true
        process_id: 200

replaced:
  commands:
    - router ospfv3 200
    - no auto-cost reference-bandwidth 4
    - max-metric router-lsa on-startup 200
    - area 10 nssa default-information-originate metric 10
    - address-family ipv4 unicast
    - adjacency stagger 50 50
    - area 200 nssa default-information-originate metric 200 nssa-only
    - exit-address-family

overridden:
  commands:
    - no router ospfv3 1
    - router ospfv3 200
    - no auto-cost reference-bandwidth 4
    - max-metric router-lsa on-startup 200
    - area 10 nssa default-information-originate metric 10
    - address-family ipv4 unicast
    - adjacency stagger 50 50
    - area 200 nssa default-information-originate metric 200 nssa-only
    - exit-address-family

deleted:
  commands:
    - no router ospfv3 1
    - no router ospfv3 200

  after: {}

rtt:
  commands:
    - router ospfv3 1
    - max-metric router-lsa on-startup 110
    - area 10 nssa default-information-originate metric 10
    - address-family ipv4 unicast vrf ospf_vrf
    - adjacency stagger 25 25
    - area 25 nssa default-information-originate metric 25 nssa-only
    - exit-address-family
    - router ospfv3 200
    - auto-cost reference-bandwidth 4
    - max-metric router-lsa on-startup 100
    - no area 10 nssa default-information-originate metric 10
    - address-family ipv4 unicast
    - exit-address-family
    - adjacency stagger 200 200
